Bug#344767: patch

Bastian Blank waldi at debian.org
Thu Jan 5 12:05:59 UTC 2006


tags 344739 patch
tags 344767 patch
-- 
Earth -- mother of the most beautiful women in the universe.
		-- Apollo, "Who Mourns for Adonais?" stardate 3468.1
-------------- next part --------------
diff -u grub-0.97/debian/update-grub grub-0.97/debian/update-grub
--- grub-0.97/debian/update-grub
+++ grub-0.97/debian/update-grub
@@ -591,28 +591,28 @@
 }
 
 
-echo -n "Testing for an existing GRUB menu.list file ... "
+echo -n "Testing for an existing GRUB menu.list file ... " >&2
 
 # Test if our menu file exists
 if [ -f "$menu_file" ] ; then
 	menu="$menu_file"
 	rm -f $newtemplate
 	unset newtemplate
-	echo "found: $menu_file"
+	echo "found: $menu_file" >&2
 	cp -f "$menu_file" "$menu_file~"
 else
 	# if not ask user if they want us to create one
 	menu="$menu_file"
-	echo
-	echo
-	echo -n "Could not find $menu_file file. "
+	echo >&2
+	echo >&2
+	echo -n "Could not find $menu_file file. " >&2
 	if [ "-y" = "$command_line_arguments" ] ; then
-		echo 
-		echo "Generating $menu_file"
+		echo >&2
+		echo "Generating $menu_file" >&2
 		answer=y
 	else
-		echo -n "Would you like $menu_file generated for you? "
-		echo -n "(y/N) "
+		echo -n "Would you like $menu_file generated for you? " >&2
+		echo -n "(y/N) " >&2
 		read answer
 	fi
 
@@ -737,23 +737,23 @@
 echo "## ## End Default Options ##" >> $buffer
 echo >> $buffer
 
-echo -n "Searching for splash image ... "
+echo -n "Searching for splash image ... " >&2
 current_splash=`grep '^splashimage=' ${grub_dir}/menu.lst || true`
 splashimage_path="splashimage=${grub_root_device}${grub_dir##${boot_device:+/boot}}/splash.xpm.gz"
 if [ -f "${grub_dir}/splash.xpm.gz" ]  && [ "$current_splash" = "" ]; then
-       echo "found: /boot/grub/splash.xpm.gz"
+       echo "found: /boot/grub/splash.xpm.gz" >&2
        echo "$splashimage_path" >> $buffer
        echo >> $buffer
 elif [ -f "${grub_dir}/splash.xpm.gz" ]  && [ "$current_splash" = "$splashimage_path" ]; then
-       echo "found: /boot/grub/splash.xpm.gz"
+       echo "found: /boot/grub/splash.xpm.gz" >&2
        echo "$splashimage_path" >> $buffer
        echo >> $buffer
 elif [ "$current_splash" != "" ] && [ "$current_splash" != "$splashimage_path" ]; then
-       echo "found but preserving previous setting: $(grep '^splashimage=' /boot/grub/menu.lst)"
+       echo "found but preserving previous setting: $(grep '^splashimage=' /boot/grub/menu.lst)" >&2
        echo "$current_splash" >> $buffer
        echo >> $buffer
 else
-       echo "none found, skipping ..."
+       echo "none found, skipping ..." >&2
 fi
 
 sortedKernels=""
@@ -808,7 +808,7 @@
 		initrd=$kernel_dir/$initrdName
 	fi
 
-	echo "Found kernel: $kernel"
+	echo "Found kernel: $kernel" >&2
 
 	if [ "$kernelName" = "vmlinuz" ]; then
 		if [ -L "/boot/$kernelName" ]; then
@@ -860,7 +860,7 @@
 			currentOpt=
 			initrd=
 
-			echo "Found kernel: $kernel"
+			echo "Found kernel: $kernel" >&2
 
 			write_kernel_entry "$kernelVersion" "" "" "$grub_root_device" \
 			"$kernel" "$currentOpt" "" "$initrd" "false"
@@ -870,7 +870,7 @@
 
 echo $end >> $buffer
 
-echo -n "Updating $menu ... "
+echo -n "Updating $menu ... " >&2
 # Insert the new options into the menu
 if ! grep -q "^$start" $menu ; then
 	cat $buffer >> $menu
@@ -888,2 +888,2 @@
-echo "done"
-echo
+echo "done" >&2
+echo >&2
diff -u grub-0.97/debian/changelog grub-0.97/debian/changelog
--- grub-0.97/debian/changelog
+++ grub-0.97/debian/changelog
@@ -1,3 +1,12 @@
+grub (0.97-2.1) unstable; urgency=high
+
+  * Non-maintainer upload.
+  * Urgency high as this breaks any linux image installation.
+  * Use automake1.9 according to control. (closes: #344739)
+  * Don't write anything to stdout in update-grub. (closes: #344767)
+
+ -- Bastian Blank <waldi at debian.org>  Thu,  5 Jan 2006 12:31:42 +0100
+
 grub (0.97-2) unstable; urgency=low
 
   * Update debian/control. This caused the wrong NMU identification :(
diff -u grub-0.97/debian/rules grub-0.97/debian/rules
--- grub-0.97/debian/rules
+++ grub-0.97/debian/rules
@@ -98,7 +98,7 @@
 	dh_testdir
 
 	# Add here commands to configure the package.
-	aclocal-1.8 && automake-1.8 && autoconf
+	aclocal-1.9 && automake-1.9 && autoconf
 	CC=$(CC) LDFLAGS=$(LDFLAGS) ./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \


More information about the Pkg-grub-devel mailing list